"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.signMessage = signMessage;
const viem_1 = require("viem");
const getAgwTypedSignature_js_1 = require("../getAgwTypedSignature.js");
const sendPrivyTransaction_js_1 = require("./sendPrivyTransaction.js");
async function signMessage(client, signerClient, parameters, isPrivyCrossApp = false) {
    if (typeof parameters.message === 'object')
        parameters.message = parameters.message.raw.toString();
    if (isPrivyCrossApp) {
        return await (0, sendPrivyTransaction_js_1.sendPrivySignMessage)(client, parameters);
    }
    return await (0, getAgwTypedSignature_js_1.getAgwTypedSignature)({
        client,
        signer: signerClient,
        messageHash: (0, viem_1.hashMessage)(parameters.message),
    });
}
//# sourceMappingURL=signMessage.js.map