"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.globalWalletActions = globalWalletActions;
const deployContract_js_1 = require("./actions/deployContract.js");
const prepareTransaction_js_1 = require("./actions/prepareTransaction.js");
const sendTransaction_js_1 = require("./actions/sendTransaction.js");
const signMessage_js_1 = require("./actions/signMessage.js");
const signTransaction_js_1 = require("./actions/signTransaction.js");
const signTypedData_js_1 = require("./actions/signTypedData.js");
const writeContract_js_1 = require("./actions/writeContract.js");
function globalWalletActions(signerClient, publicClient, isPrivyCrossApp = false) {
    return (client) => ({
        prepareAbstractTransactionRequest: (args) => (0, prepareTransaction_js_1.prepareTransactionRequest)(client, signerClient, publicClient, args),
        sendTransaction: (args) => (0, sendTransaction_js_1.sendTransaction)(client, signerClient, publicClient, args, isPrivyCrossApp),
        sendTransactionBatch: (args) => (0, sendTransaction_js_1.sendTransactionBatch)(client, signerClient, publicClient, args, isPrivyCrossApp),
        signMessage: (args) => (0, signMessage_js_1.signMessage)(client, signerClient, args, isPrivyCrossApp),
        signTransaction: (args) => (0, signTransaction_js_1.signTransaction)(client, signerClient, args),
        signTypedData: (args) => (0, signTypedData_js_1.signTypedData)(client, signerClient, args, isPrivyCrossApp),
        deployContract: (args) => (0, deployContract_js_1.deployContract)(client, signerClient, publicClient, args, isPrivyCrossApp),
        writeContract: (args) => (0, writeContract_js_1.writeContract)(Object.assign(client, {
            sendTransaction: (args) => (0, sendTransaction_js_1.sendTransaction)(client, signerClient, publicClient, args, isPrivyCrossApp),
        }), signerClient, publicClient, args),
    });
}
//# sourceMappingURL=walletActions.js.map