import { hashMessage, } from 'viem';
import { getAgwTypedSignature } from '../getAgwTypedSignature.js';
import { sendPrivySignMessage } from './sendPrivyTransaction.js';
export async function signMessage(client, signerClient, parameters, isPrivyCrossApp = false) {
    // We handle {message: {raw}} here because the message is expected to be a string
    if (typeof parameters.message === 'object')
        parameters.message = parameters.message.raw.toString();
    if (isPrivyCrossApp) {
        return await sendPrivySignMessage(client, parameters);
    }
    return await getAgwTypedSignature({
        client,
        signer: signerClient,
        messageHash: hashMessage(parameters.message),
    });
}
//# sourceMappingURL=signMessage.js.map